#ifndef PILHAS
#define PILHAS

#include <iostream>
#include "pilhasDinamicas.h"

#endif

// constructor
Pilha::Pilha(){
  // Ponteiro Nulo 
  pilha = NULL;
};

// destructor
Pilha::~Pilha(){
  delete [] pilha;
};

// push
void Pilha::push(int c){
  No *novo;

  novo = new No [1];
  novo->prox = pilha;
  novo->operando = c;
  pilha = novo;
};

// pop
void Pilha::pop(){
  No *aux;

  aux=pilha;
  pilha=aux->prox;
  delete [] aux;
};

// top
char Pilha::top(){
  return (pilha->operando);
};

// ?vazia
int Pilha::vazia(){
  return(pilha==NULL);
}

