class Pilha {
private:
  int tamanho;

  typedef struct no {
    int operando;
    struct no* prox;
  } No;

  No *pilha;
  
  // inviabilizar a inicializao por cpia
  Pilha(const Pilha&) {};
  // inviabilizar a atribuio
  void operator=(const Pilha&){};

public:
  // construtor
  Pilha();
  // destrutor
  ~Pilha();
  // manipuladores
  void push(int);
  void pop();
  char top();
  int vazia();
};



